Imports Bytescout.PDF

''' <summary>
''' This example demonstrates how to attach a file to PDF document.
''' </summary>
Class Program

    Shared Sub Main()

        ' Create new document
        Dim pdfDocument = New Document()
        pdfDocument.RegistrationName = "demo"
		pdfDocument.RegistrationKey = "demo"

        ' If you wish to load an existing document uncomment the line below And comment the Add page section instead
        ' pdfDocument.Load(".\existing_document.pdf")

        ' Add page
        Dim page = New Page(PaperFormat.A4)
        pdfDocument.Pages.Add(page)

        ' Attach file
        Dim fileAttachment = New FileAttachmentAnnotation("sample_attachment.txt", 20, 20, 20, 20)
        fileAttachment.Icon = FileAttachmentAnnotationIcon.Paperclip
        page.Annotations.Add(fileAttachment)

        ' Instruct PDF viewer application to show attachments pane on startup
        pdfDocument.PageMode = PageMode.Attachment

        ' Save document to file
        pdfDocument.Save("result.pdf")

        ' Cleanup 
		pdfDocument.Dispose()

        ' Open document in default PDF viewer app
        Process.Start("result.pdf")

    End Sub

End Class
